 
#include<stdio.h>
#include<math.h>
#define max 50
int main()
{int a[max][max];
 int j,s,m,n,i,b;
 scanf("%d %d",&m,&n) ; 
 for (i=0;i<m;i++) 
   for (j=0;j<n;j++)
      scanf("%d",a[i,j]) ;       
     
 s=a[0][1];    
 printf("%d",s);


 
  

}